Index: code/branches/buildsystem2/src/ogreceguirenderer/OgreCEGUITexture.h
===================================================================
--- code/branches/buildsystem2/src/ogreceguirenderer/OgreCEGUITexture.h	(revision 2569)
+++ code/branches/buildsystem2/src/ogreceguirenderer/OgreCEGUITexture.h	(revision 2602)
@@ -1,8 +1,8 @@
 /************************************************************************
-    filename: 	OgreCEGUITexture.h
-    created:	11/5/2004
-    author:		Paul D Turner
-    
-    purpose:	Interface to Texture implemented via Ogre engine
+	filename: 	OgreCEGUITexture.h
+	created:	11/5/2004
+	author:		Paul D Turner
+	
+	purpose:	Interface to Texture implemented via Ogre engine
 *************************************************************************/
 /*************************************************************************
@@ -37,138 +37,138 @@
 /*!
 \brief
-    Texture class that is created by OgreCEGUIRenderer objects
+	Texture class that is created by OgreCEGUIRenderer objects
 */
 class _OgrePrivate OgreCEGUITexture : public Texture
 {
 private:
-    /*************************************************************************
-        Friends (to allow construction and destruction)
-    *************************************************************************/
-    friend	Texture* OgreCEGUIRenderer::createTexture(void);
-    friend	Texture* OgreCEGUIRenderer::createTexture(const String& filename, const String& resourceGroup);
-    friend	Texture* OgreCEGUIRenderer::createTexture(float size);
-    friend	void	 OgreCEGUIRenderer::destroyTexture(Texture* texture);
+	/*************************************************************************
+		Friends (to allow construction and destruction)
+	*************************************************************************/
+	friend	Texture* OgreCEGUIRenderer::createTexture(void);
+	friend	Texture* OgreCEGUIRenderer::createTexture(const String& filename, const String& resourceGroup);
+	friend	Texture* OgreCEGUIRenderer::createTexture(float size);
+	friend	void	 OgreCEGUIRenderer::destroyTexture(Texture* texture);
 
 
-    /*************************************************************************
-        Construction & Destruction (by Renderer object only)
-    *************************************************************************/
-    OgreCEGUITexture(Renderer* owner);
-    virtual ~OgreCEGUITexture(void);
+	/*************************************************************************
+		Construction & Destruction (by Renderer object only)
+	*************************************************************************/
+	OgreCEGUITexture(Renderer* owner);
+	virtual ~OgreCEGUITexture(void);
 
 public:
-    /*!
-    \brief
-        Returns the current pixel width of the texture
+	/*!
+	\brief
+		Returns the current pixel width of the texture
 
-    \return
-        ushort value that is the current width of the texture in pixels
-    */
-    virtual	ushort	getWidth(void) const		{return d_width;}
+	\return
+		ushort value that is the current width of the texture in pixels
+	*/
+	virtual	ushort	getWidth(void) const		{return d_width;}
 
 
-    /*!
-    \brief
-        Returns the current pixel height of the texture
+	/*!
+	\brief
+		Returns the current pixel height of the texture
 
-    \return
-        ushort value that is the current height of the texture in pixels
-    */
-    virtual	ushort	getHeight(void) const		{return d_height;}
+	\return
+		ushort value that is the current height of the texture in pixels
+	*/
+	virtual	ushort	getHeight(void) const		{return d_height;}
 
 
-    /*!
-    \brief
-        Loads the specified image file into the texture.  The texture is resized as required to hold the image.
+	/*!
+	\brief
+		Loads the specified image file into the texture.  The texture is resized as required to hold the image.
 
-    \param filename
-        The filename of the image file that is to be loaded into the texture
+	\param filename
+		The filename of the image file that is to be loaded into the texture
 
-    \return
-        Nothing.
-    */
-    virtual void	loadFromFile(const String& filename, const String& resourceGroup);
+	\return
+		Nothing.
+	*/
+	virtual void	loadFromFile(const String& filename, const String& resourceGroup);
 
 
-    /*!
-    \brief
-        Loads (copies) an image in memory into the texture.  The texture is resized as required to hold the image.
-    
-    \param buffPtr
-        Pointer to the buffer containing the image data
-    
-    \param buffWidth
-        Width of the buffer (in pixels as specified by \a pixelFormat )
-    
-    \param buffHeight
-        Height of the buffer (in pixels as specified by \a pixelFormat )
-    
-    \param pixelFormat
-    PixelFormat value describing the format contained in \a buffPtr
-    
-    \return
-        Nothing.
-    */
-    virtual void	loadFromMemory(const void* buffPtr, uint buffWidth, uint buffHeight, PixelFormat pixelFormat);
+	/*!
+	\brief
+		Loads (copies) an image in memory into the texture.  The texture is resized as required to hold the image.
+	
+	\param buffPtr
+		Pointer to the buffer containing the image data
+	
+	\param buffWidth
+		Width of the buffer (in pixels as specified by \a pixelFormat )
+	
+	\param buffHeight
+		Height of the buffer (in pixels as specified by \a pixelFormat )
+	
+	\param pixelFormat
+	PixelFormat value describing the format contained in \a buffPtr
+	
+	\return
+		Nothing.
+	*/
+	virtual void	loadFromMemory(const void* buffPtr, uint buffWidth, uint buffHeight, PixelFormat pixelFormat);
 
 
-    /*!
-    \brief
-        Return a pointer to the internal Ogre::Texture object
+	/*!
+	\brief
+		Return a pointer to the internal Ogre::Texture object
 
-    \return
-        Pointer to the Ogre::Texture object currently being used by this Texture object
-    */
-    Ogre::TexturePtr	getOgreTexture(void) const		{return d_ogre_texture;}
+	\return
+		Pointer to the Ogre::Texture object currently being used by this Texture object
+	*/
+	Ogre::TexturePtr	getOgreTexture(void) const		{return d_ogre_texture;}
 
 
-    /*!
-    \brief
-        set the size of the internal Ogre texture.  Previous Ogre texture is lost.
+	/*!
+	\brief
+		set the size of the internal Ogre texture.  Previous Ogre texture is lost.
 
-    \param size
-        pixel size of the new internal texture.  This will be rounded up to a power of 2.
+	\param size
+		pixel size of the new internal texture.  This will be rounded up to a power of 2.
 
-    \return
-        Nothing.
-    */
-    void	setOgreTextureSize(uint size);
+	\return
+		Nothing.
+	*/
+	void	setOgreTextureSize(uint size);
 
 
-    /*!
-    \brief
-        Set the internal Ogre::TexturePtr object.
+	/*!
+	\brief
+		Set the internal Ogre::TexturePtr object.
 
-    \param texture
-        Reference to an Ogre::TexturePtr object that is to be used by this Texture object.
+	\param texture
+		Reference to an Ogre::TexturePtr object that is to be used by this Texture object.
 
-    \return
-        Nothing.
-    */
-    void	setOgreTexture(Ogre::TexturePtr& texture);
+	\return
+		Nothing.
+	*/
+	void	setOgreTexture(Ogre::TexturePtr& texture);
 
 
 private:
-    /*************************************************************************
-        Implementation Functions
-    *************************************************************************/
-    // safely free Ogre::Texture texture (can be called multiple times with no ill effect)
-    void	freeOgreTexture(void);
+	/*************************************************************************
+		Implementation Functions
+	*************************************************************************/
+	// safely free Ogre::Texture texture (can be called multiple times with no ill effect)
+	void	freeOgreTexture(void);
 
-    // return a Ogre::string that contains a unique name.
-    Ogre::String	getUniqueName(void);
+	// return a Ogre::string that contains a unique name.
+	Ogre::String	getUniqueName(void);
 
 
-    /*************************************************************************
-        Implementation Data
-    *************************************************************************/
-    static	uint32          d_texturenumber;	//!< Counter used to provide unique texture names.
+	/*************************************************************************
+		Implementation Data
+	*************************************************************************/
+	static	uint32          d_texturenumber;	//!< Counter used to provide unique texture names.
 
-    Ogre::TexturePtr		d_ogre_texture;		//!< The 'real' texture.
+	Ogre::TexturePtr		d_ogre_texture;		//!< The 'real' texture.
 
-    ushort					d_width;			//!< cached width of the texture
-    ushort					d_height;			//!< cached height of the texture
+	ushort					d_width;			//!< cached width of the texture
+	ushort					d_height;			//!< cached height of the texture
 
-    bool	d_isLinked;		//!< True if we are linked to a texture we did not actually create.
+	bool	d_isLinked;		//!< True if we are linked to a texture we did not actually create.
 };
 
